Extensions

Get an extension version

Returns one version, by its id or version string, with the manifest it was published with.

GET
/v1/extensions/{id}/versions/{versionId}

Returns one version, by its id or version string, with the manifest it was published with.

x-api-key<token>

In: header

Path Parameters

id*string

The extension's id (ext_…) or its name.

Length1 <= length <= 64
versionId*string

The version's id (extver_…) or its version string, such as 1.0.0.

Length1 <= length <= 85

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/extensions/string/versions/string"
{  "id": "string",  "version": "string",  "runtime": "hosted",  "bundle": {    "sha256": "string",    "sizeBytes": 0  },  "publishedAt": "string",  "manifest": {    "name": "string",    "displayName": "string",    "description": "string",    "version": "string",    "runtime": "hosted",    "events": [      "mailbox.message.received"    ],    "permissions": [      "read"    ]  }}

Related documentation